//+------------------------------------------------------------------+
//|                                                  MTF_Lord_v1.mq4 |
//|                                        Copyright  2007, sashken |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, sashken"
#property link      "http://sashken.by.ru"

#property indicator_separate_window
#property indicator_buffers 6
#property indicator_color1 Blue
#property indicator_color2 Red
#property indicator_level1 0


//+------------------------------------------------------------------+

extern int TimeFrame       = 0;

double ExtMapBuffer1[];
double ExtMapBuffer2[];

double Lord[],cciFF[];
double cciS[],cciSS[];

//+------------------------------------------------------------------+

int init()
{

   SetIndexBuffer (0,ExtMapBuffer1);
   SetIndexStyle  (0,DRAW_HISTOGRAM,1,3);
   SetIndexBuffer (1,ExtMapBuffer2);
   SetIndexStyle  (1,DRAW_HISTOGRAM,1,3);
   SetIndexBuffer (2,Lord);
   SetIndexStyle  (2,DRAW_NONE);

   switch(TimeFrame)
   {
      case 1      : string TimeFrameStr   ="Period_M1";  break;
      case 5      : TimeFrameStr          ="Period_M5";  break;
      case 15     : TimeFrameStr          ="Period_M15"; break;
      case 30     : TimeFrameStr          ="Period_M30"; break;
      case 60     : TimeFrameStr          ="Period_H1";  break;
      case 240    : TimeFrameStr          ="Period_H4";  break;
      case 1440   : TimeFrameStr          ="Period_D1";  break;
      case 10080  : TimeFrameStr          ="Period_W1";  break;
      case 43200  : TimeFrameStr          ="Period_MN1"; break;
      default     : TimeFrameStr          ="Current Timeframe";
   }
   IndicatorShortName("MTF_Lord");

}

return(0);
 
//+------------------------------------------------------------------+

int start()
  {
   datetime TimeArray[];
   int      i,limit,y=0,counted_bars=IndicatorCounted();
 
// Plot defined time frame on to current time frame
   
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   limit=Bars-counted_bars+TimeFrame/Period();

   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++;
   Lord[i]  = iClose(NULL,TimeFrame,y)-iOpen(NULL,TimeFrame,y);
   
   }

// 

   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++;

   
  
   if (Lord[i] > 0)
      {
      ExtMapBuffer1[i] = Lord[i];
      ExtMapBuffer2[i] = 0;
      }
   
   else if (Lord[i] < 0)
      {
      ExtMapBuffer1[i] = 0;
      ExtMapBuffer2[i] = Lord[i];
      }
   
   else
      {
      ExtMapBuffer1[i] = 0;
      ExtMapBuffer2[i] = 0;
      }
   
   }
   return(0);
   }

//+------------------------------------------------------------------+